SystemOrganization addCategory: #'Seaside-Tests-Adaptors-Comanche'!

WADocumentHandlerResponseTest subclass: #WAComancheDocumentHandlerResponseTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Adaptors-Comanche'!

!WAComancheDocumentHandlerResponseTest methodsFor: 'testing' stamp: 'jf 9/30/2009 01:10'!
assertHttpResponseFrom: aResponse matches: aHandler 
	| httpResponse kom |
	super 
		assertHttpResponseFrom: aResponse
		matches: aHandler.
	kom := WAComancheAdaptor new.
	[ httpResponse := kom responseFrom: self requestContext ] ensure: [ kom unregister ].
	self assert: httpResponse status == #ok.
	self assert: httpResponse contentType = aHandler document mimeType greaseString.
	self assert: httpResponse contentLength = aHandler document contents size.
	httpResponse fields keysAndValuesDo: 
		[ :key :value | 
		self assert: (self 
				headerAt: key
				forResponse: aResponse) greaseString = value ].
	aResponse headers keysAndValuesDo: 
		[ :key :value | 
		self assert: (key = 'Content-Type' or: [ (httpResponse fields at: key) = value greaseString ]) ].
	self assert: httpResponse cookies isEmpty! !

!GRPackage class methodsFor: '*seaside-tests-adaptors-comanche' stamp: 'lr 8/30/2009 17:36'!
seasideTestsAdaptorsComanche
	^ self new
		name: 'Seaside-Tests-Adaptors-Comanche';
		description: 'Unit tests for the package Seaside-Adaptors-Comanche.';
		addDependency: 'Seaside-Adaptors-Comanche';
		addDependency: 'Seaside-Tests-Pharo-Core';
		yourself! !
